get-ingredient-catalog-by-jsin

Source

  • Repository: jef-systems/jef-caferimo-backend

  • Module: caferimo

  • Documentation Scope: get

  • Lambda: jef-caferimo-get-2

Endpoint

  • API Name: jef-caferimo

  • Action Name: get

  • Method: GET

  • Scope Label: GET

  • Resource Path: /get-ingredient-catalog-by-jsin

  • Complete Endpoint: https://lfyr4e0eqe.execute-api.ap-southeast-1.amazonaws.com/prod/get-ingredient-catalog-by-jsin

  • Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-caferimo-get-2

  • curl payload mode: query_string

API Gateway Description

Function: jef-caferimo-get-2
API Name: jef-caferimo
Action: get
Method: GET
Resource Path: /get-ingredient-catalog-by-jsin

Payload:
- jsin: string

Response:
- exists: boolean
- message: string
- item: {"pk":"string-jsin","gsi_1_pk":"string-barcode","jsin":"string","barcode":"string","product_name":"string","product_unit":"string"}

Request Payload

{
  "jsin": "string"
}

Response

{
  "exists": "boolean",
  "message": "string",
  "item": "{\"pk\":\"string-jsin\",\"gsi_1_pk\":\"string-barcode\",\"jsin\":\"string\",\"barcode\":\"string\",\"product_name\":\"string\",\"product_unit\":\"string\"}"
}

CMD curl

curl "https://lfyr4e0eqe.execute-api.ap-southeast-1.amazonaws.com/prod/get-ingredient-catalog-by-jsin?jsin=string"

PowerShell curl

curl.exe "https://lfyr4e0eqe.execute-api.ap-southeast-1.amazonaws.com/prod/get-ingredient-catalog-by-jsin?jsin=string"